Package org.eclipse.birt.chart.model.layout

# Interface LabelBlock

All Superinterfaces:
  `Block`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `TitleBlock`

All Known Implementing Classes:
  `LabelBlockImpl`, `TitleBlockImpl`

public interface LabelBlock extends Block
A representation of the model object 'Label Block'. This type defines a text block in the chart.

The following features are supported:

- `Label`

See Also:
  - `LayoutPackage.getLabelBlock()`

## Method Summary

Modifier and Type
Method
Description
`LabelBlock`
`copyInstance()`
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.

### Methods inherited from interface org.eclipse.birt.chart.model.layout.Block

`add, children, getAnchor, getBackground, getBounds, getChildren, getColumn, getColumnspan, getCursor, getHeightHint, getInsets, getMinSize, getOutline, getPreferredSize, getRow, getRowspan, getStretch, getTriggers, getWidthHint, isCustom, isLegend, isPlot, isSetAnchor, isSetColumn, isSetColumnspan, isSetHeightHint, isSetRow, isSetRowspan, isSetStretch, isSetVisible, isSetWidthHint, isText, isTitle, isVisible, remove, setAnchor, setBackground, setBounds, setColumn, setColumnspan, setCursor, setHeightHint, setInsets, setMinSize, setOutline, setRow, setRowspan, setStretch, setVisible, setWidthHint, unsetAnchor, unsetColumn, unsetColumnspan, unsetHeightHint, unsetRow, unsetRowspan, unsetStretch, unsetVisible, unsetWidthHint`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. The actual text content of the block.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `LayoutPackage.getLabelBlock_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### copyInstance

LabelBlock copyInstance()

Specified by:
  `copyInstance` in interface `Block`
Specified by:
  `copyInstance` in interface `IChartObject`